summaryrefslogtreecommitdiff
path: root/dev-python/dbus-fast
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
commitb590c8d7572b727d565cc0b8ff660d43569845de (patch)
tree06f7a4102ea4e845df8b66660f252920d52952f9 /dev-python/dbus-fast
parent24f9cbfc4c34fdb6a6e03311674414e881ceab47 (diff)
downloadbaldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.gz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.xz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.zip
Adding metadata
Diffstat (limited to 'dev-python/dbus-fast')
-rw-r--r--dev-python/dbus-fast/Manifest6
-rw-r--r--dev-python/dbus-fast/dbus-fast-4.0.4.ebuild62
-rw-r--r--dev-python/dbus-fast/dbus-fast-4.1.0.ebuild62
-rw-r--r--dev-python/dbus-fast/dbus-fast-4.2.8.ebuild62
-rw-r--r--dev-python/dbus-fast/dbus-fast-4.3.0.ebuild62
-rw-r--r--dev-python/dbus-fast/dbus-fast-5.0.16.ebuild63
-rw-r--r--dev-python/dbus-fast/dbus-fast-5.0.17.ebuild63
-rw-r--r--dev-python/dbus-fast/metadata.xml8
8 files changed, 388 insertions, 0 deletions
diff --git a/dev-python/dbus-fast/Manifest b/dev-python/dbus-fast/Manifest
new file mode 100644
index 000000000000..c196d500f378
--- /dev/null
+++ b/dev-python/dbus-fast/Manifest
@@ -0,0 +1,6 @@
+DIST dbus-fast-4.0.4.gh.tar.gz 209703 BLAKE2B b59bded537f19d90edcda03a3469e430a2fe4dfe2b9bea4a8ab0db825a7a419fc56410e2c38267f88aae1d9e1810e87875f56f70c29f497e29dff9d347cea44a SHA512 622e4030a97b6684b3d0e0848fd2d6e5029d3082ab009dd1a2802bb8dce1afb37722aeb9b2626f0c22f3f7c888571b5ccf1f39d24e0f3bf06f4490012bee0136
+DIST dbus-fast-4.1.0.gh.tar.gz 212685 BLAKE2B 2d2b275c049223657db7ddf910ed31b55c6f8014e77df2d8fb037a97dba77f0889a6fce05a2416c252fe003cf6151defb38ac086cab8cb86e0a5703463f87a83 SHA512 85e0492589181313ca4342c870613343b348e357c1e408ef387bc490cd2d11a4a97df3cf717321727b6e8c66fe97da4fb63f88ff4579d562aa2b9e343e647dbb
+DIST dbus-fast-4.2.8.gh.tar.gz 233457 BLAKE2B ab74853654a0f742372a9bfb8fa162296d8ba9bbb771b9ed4864938a937dde8fc9d4db3d7cc518a706b325e4d400938ee4773a2922c2d3311d19248cd62441fc SHA512 e4929b64b5dd2239ba8cf3b65b5fb536a032a99a6b78d24bef8eb53d261b9a596a2d9f8b397de748fad087eea2007a35ccc1c41efbd659f9e407fa86ff87788b
+DIST dbus-fast-4.3.0.gh.tar.gz 233863 BLAKE2B 1e708125ecfa2ce1c26fa3e99935e2fac358f97d8585d712defe2d3a4a4dd7f2c52f18945b7f1af8b619e8c654b264ec8b8873b8b42da3b9d7e36a059a5baba1 SHA512 da0c3ed9d58621c76458ec61aaeeb97c0e9e780989a47f7c0f8629a8d9b762b255ba75664efe6f4cc3776d30b52fce83bbcc9e7e543a1ece1e1ecfdea27f3214
+DIST dbus-fast-5.0.16.gh.tar.gz 257894 BLAKE2B 1fdab82bd90868c4e42a25cf431d131df6e9ccf38ce71c0a8fa927a38b1ccbcd9749d2dd020732f08a2ae5fb970a7606b18fb76a2c5c99fede13fb48bbaa6ec3 SHA512 9e335136588bd4bb7fc17944232959579f5c9a35a27bd21fae5104abd082dea71ebf58d45eeb7a5e6f3fbcca8a1249d5d05ab9251ca4c4a34916d936a3e03527
+DIST dbus-fast-5.0.17.gh.tar.gz 258907 BLAKE2B 67da914ef9234302a9784c6293863c399ac96c0f73099dfd8e58f03dda366621108793309e626a44d7abafd1ffd0f9ec2c5baabb14881073424072354f8b72b0 SHA512 c34ff3728b32d9b86fd10c324c92aa7c100c58584e26ff417f918ccd5007938d8e443784734ce6b14b1c48e3dcc0befc57c35f40868a17495f62628118c8eb12
diff --git a/dev-python/dbus-fast/dbus-fast-4.0.4.ebuild b/dev-python/dbus-fast/dbus-fast-4.0.4.ebuild
new file mode 100644
index 000000000000..68352c97fed2
--- /dev/null
+++ b/dev-python/dbus-fast/dbus-fast-4.0.4.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=poetry
+# TODO: freethreading compatible
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1 virtualx
+
+DESCRIPTION="A faster version of dbus-next"
+HOMEPAGE="
+ https://github.com/bluetooth-devices/dbus-fast/
+ https://pypi.org/project/dbus-fast/
+"
+SRC_URI="
+ https://github.com/Bluetooth-Devices/dbus-fast/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="amd64 ~riscv"
+
+BDEPEND="
+ >=dev-python/cython-3[${PYTHON_USEDEP}]
+ >=dev-python/setuptools-65.4.1[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/pycairo-1.21.0[${PYTHON_USEDEP}]
+ >=dev-python/pygobject-3.50[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=( pytest-{asyncio,timeout} )
+distutils_enable_tests pytest
+
+export REQUIRE_CYTHON=1
+
+src_test() {
+ local dbus_params=(
+ $(dbus-daemon --session --print-address --fork --print-pid)
+ )
+ local -x DBUS_SESSION_BUS_ADDRESS=${dbus_params[0]}
+
+ virtx distutils-r1_src_test
+
+ kill "${dbus_params[1]}" || die
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # interface not found on this object: org.freedesktop.DBus.Debug.Stats
+ tests/client/test_signals.py::test_signals
+ )
+ local EPYTEST_IGNORE=(
+ tests/benchmarks
+ )
+
+ nonfatal epytest -o addopts= || die
+}
diff --git a/dev-python/dbus-fast/dbus-fast-4.1.0.ebuild b/dev-python/dbus-fast/dbus-fast-4.1.0.ebuild
new file mode 100644
index 000000000000..d5d17c317555
--- /dev/null
+++ b/dev-python/dbus-fast/dbus-fast-4.1.0.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=poetry
+# TODO: freethreading compatible
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1 virtualx
+
+DESCRIPTION="A faster version of dbus-next"
+HOMEPAGE="
+ https://github.com/bluetooth-devices/dbus-fast/
+ https://pypi.org/project/dbus-fast/
+"
+SRC_URI="
+ https://github.com/Bluetooth-Devices/dbus-fast/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv"
+
+BDEPEND="
+ >=dev-python/cython-3[${PYTHON_USEDEP}]
+ >=dev-python/setuptools-65.4.1[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/pycairo-1.21.0[${PYTHON_USEDEP}]
+ >=dev-python/pygobject-3.50[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=( pytest-{asyncio,timeout} )
+distutils_enable_tests pytest
+
+export REQUIRE_CYTHON=1
+
+src_test() {
+ local dbus_params=(
+ $(dbus-daemon --session --print-address --fork --print-pid)
+ )
+ local -x DBUS_SESSION_BUS_ADDRESS=${dbus_params[0]}
+
+ virtx distutils-r1_src_test
+
+ kill "${dbus_params[1]}" || die
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # interface not found on this object: org.freedesktop.DBus.Debug.Stats
+ tests/client/test_signals.py::test_signals
+ )
+ local EPYTEST_IGNORE=(
+ tests/benchmarks
+ )
+
+ nonfatal epytest -o addopts= || die
+}
diff --git a/dev-python/dbus-fast/dbus-fast-4.2.8.ebuild b/dev-python/dbus-fast/dbus-fast-4.2.8.ebuild
new file mode 100644
index 000000000000..d5d17c317555
--- /dev/null
+++ b/dev-python/dbus-fast/dbus-fast-4.2.8.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=poetry
+# TODO: freethreading compatible
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1 virtualx
+
+DESCRIPTION="A faster version of dbus-next"
+HOMEPAGE="
+ https://github.com/bluetooth-devices/dbus-fast/
+ https://pypi.org/project/dbus-fast/
+"
+SRC_URI="
+ https://github.com/Bluetooth-Devices/dbus-fast/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv"
+
+BDEPEND="
+ >=dev-python/cython-3[${PYTHON_USEDEP}]
+ >=dev-python/setuptools-65.4.1[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/pycairo-1.21.0[${PYTHON_USEDEP}]
+ >=dev-python/pygobject-3.50[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=( pytest-{asyncio,timeout} )
+distutils_enable_tests pytest
+
+export REQUIRE_CYTHON=1
+
+src_test() {
+ local dbus_params=(
+ $(dbus-daemon --session --print-address --fork --print-pid)
+ )
+ local -x DBUS_SESSION_BUS_ADDRESS=${dbus_params[0]}
+
+ virtx distutils-r1_src_test
+
+ kill "${dbus_params[1]}" || die
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # interface not found on this object: org.freedesktop.DBus.Debug.Stats
+ tests/client/test_signals.py::test_signals
+ )
+ local EPYTEST_IGNORE=(
+ tests/benchmarks
+ )
+
+ nonfatal epytest -o addopts= || die
+}
diff --git a/dev-python/dbus-fast/dbus-fast-4.3.0.ebuild b/dev-python/dbus-fast/dbus-fast-4.3.0.ebuild
new file mode 100644
index 000000000000..d5d17c317555
--- /dev/null
+++ b/dev-python/dbus-fast/dbus-fast-4.3.0.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=poetry
+# TODO: freethreading compatible
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1 virtualx
+
+DESCRIPTION="A faster version of dbus-next"
+HOMEPAGE="
+ https://github.com/bluetooth-devices/dbus-fast/
+ https://pypi.org/project/dbus-fast/
+"
+SRC_URI="
+ https://github.com/Bluetooth-Devices/dbus-fast/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv"
+
+BDEPEND="
+ >=dev-python/cython-3[${PYTHON_USEDEP}]
+ >=dev-python/setuptools-65.4.1[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/pycairo-1.21.0[${PYTHON_USEDEP}]
+ >=dev-python/pygobject-3.50[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=( pytest-{asyncio,timeout} )
+distutils_enable_tests pytest
+
+export REQUIRE_CYTHON=1
+
+src_test() {
+ local dbus_params=(
+ $(dbus-daemon --session --print-address --fork --print-pid)
+ )
+ local -x DBUS_SESSION_BUS_ADDRESS=${dbus_params[0]}
+
+ virtx distutils-r1_src_test
+
+ kill "${dbus_params[1]}" || die
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # interface not found on this object: org.freedesktop.DBus.Debug.Stats
+ tests/client/test_signals.py::test_signals
+ )
+ local EPYTEST_IGNORE=(
+ tests/benchmarks
+ )
+
+ nonfatal epytest -o addopts= || die
+}
diff --git a/dev-python/dbus-fast/dbus-fast-5.0.16.ebuild b/dev-python/dbus-fast/dbus-fast-5.0.16.ebuild
new file mode 100644
index 000000000000..5527caecf6da
--- /dev/null
+++ b/dev-python/dbus-fast/dbus-fast-5.0.16.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=poetry
+# TODO: freethreading compatible
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1 virtualx
+
+DESCRIPTION="A faster version of dbus-next"
+HOMEPAGE="
+ https://github.com/bluetooth-devices/dbus-fast/
+ https://pypi.org/project/dbus-fast/
+"
+SRC_URI="
+ https://github.com/Bluetooth-Devices/dbus-fast/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv"
+
+BDEPEND="
+ >=dev-python/cython-3[${PYTHON_USEDEP}]
+ >=dev-python/setuptools-65.4.1[${PYTHON_USEDEP}]
+ test? (
+ dev-python/blockbuster[${PYTHON_USEDEP}]
+ >=dev-python/pycairo-1.21.0[${PYTHON_USEDEP}]
+ >=dev-python/pygobject-3.50[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=( pytest-{asyncio,timeout} )
+distutils_enable_tests pytest
+
+export REQUIRE_CYTHON=1
+
+src_test() {
+ local dbus_params=(
+ $(dbus-daemon --session --print-address --fork --print-pid)
+ )
+ local -x DBUS_SESSION_BUS_ADDRESS=${dbus_params[0]}
+
+ virtx distutils-r1_src_test
+
+ kill "${dbus_params[1]}" || die
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # interface not found on this object: org.freedesktop.DBus.Debug.Stats
+ tests/client/test_signals.py::test_signals
+ )
+ local EPYTEST_IGNORE=(
+ tests/benchmarks
+ )
+
+ nonfatal epytest -o addopts= || die
+}
diff --git a/dev-python/dbus-fast/dbus-fast-5.0.17.ebuild b/dev-python/dbus-fast/dbus-fast-5.0.17.ebuild
new file mode 100644
index 000000000000..5527caecf6da
--- /dev/null
+++ b/dev-python/dbus-fast/dbus-fast-5.0.17.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=poetry
+# TODO: freethreading compatible
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1 virtualx
+
+DESCRIPTION="A faster version of dbus-next"
+HOMEPAGE="
+ https://github.com/bluetooth-devices/dbus-fast/
+ https://pypi.org/project/dbus-fast/
+"
+SRC_URI="
+ https://github.com/Bluetooth-Devices/dbus-fast/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv"
+
+BDEPEND="
+ >=dev-python/cython-3[${PYTHON_USEDEP}]
+ >=dev-python/setuptools-65.4.1[${PYTHON_USEDEP}]
+ test? (
+ dev-python/blockbuster[${PYTHON_USEDEP}]
+ >=dev-python/pycairo-1.21.0[${PYTHON_USEDEP}]
+ >=dev-python/pygobject-3.50[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=( pytest-{asyncio,timeout} )
+distutils_enable_tests pytest
+
+export REQUIRE_CYTHON=1
+
+src_test() {
+ local dbus_params=(
+ $(dbus-daemon --session --print-address --fork --print-pid)
+ )
+ local -x DBUS_SESSION_BUS_ADDRESS=${dbus_params[0]}
+
+ virtx distutils-r1_src_test
+
+ kill "${dbus_params[1]}" || die
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # interface not found on this object: org.freedesktop.DBus.Debug.Stats
+ tests/client/test_signals.py::test_signals
+ )
+ local EPYTEST_IGNORE=(
+ tests/benchmarks
+ )
+
+ nonfatal epytest -o addopts= || die
+}
diff --git a/dev-python/dbus-fast/metadata.xml b/dev-python/dbus-fast/metadata.xml
new file mode 100644
index 000000000000..988ae9a6a6fe
--- /dev/null
+++ b/dev-python/dbus-fast/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ </maintainer>
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>